<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html" xmlns:ui="jakarta.faces.facelets"
	xmlns:bw="http://www.scc.kit.edu/bwfacelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:of="http://omnifaces.org/functions">
<head>
<title></title>
</head>
<body>
	<f:view>
		<f:metadata>
			<f:event type="jakarta.faces.event.PreRenderViewEvent"
				listener="#{listPublicProjectsIndexBean.preRenderView}" />
		</f:metadata>

		<ui:composition template="/template/default.xhtml">
			<ui:param name="title" value="#{messages.title}" />

			<ui:define name="content">
				<h:form id="form" class="full form">

					<h2>
						<h:outputText
							value="#{messages['project.public_projects.header']}" />
					</h2>

					<h5>
						<h:outputText
							value="#{messages['project.public_projects.description']}" />
					</h5>

					<p:messages showDetail="true" />

					<p:dataTable id="dataTable" var="p"
						value="#{listPublicProjectsIndexBean.projectList}"
						paginator="true" rows="15">
						<p:column sortBy="#{p.name}" filterBy="#{p.name}">
							<f:facet name="header">
								<h:outputText value="#{messages.name}" />
							</f:facet>
							<p:outputPanel
								rendered="#{p.class.simpleName == 'LocalProjectEntity'}">
								<h:link outcome="show-public-project-detail.xhtml"
									value="#{p.name}">
									<f:param name="id" value="#{p.id}" />
								</h:link>
							</p:outputPanel>
						</p:column>

						<p:column sortBy="#{p.shortDescription}" filterBy="#{p.shortDescription}">
							<f:facet name="header">
								<h:outputText value="#{messages['project.short_description']}" />
							</f:facet>
							<h:outputText value="#{p.shortDescription}" />
						</p:column>
					</p:dataTable>				

				</h:form>
			</ui:define>
		</ui:composition>
	</f:view>
</body>
</html>
